# FreeHL Server Configs

Here's our systemd service files as well as the configs
we run on our FreeHL test servers.

Clone this directory into the root of your dedicated
server setup.

## In case you need the dedicated server...
You can bootstrap a dedicated server with this gist:

https://code.idtech.space/eukara/gist/raw/branch/main/freehlded-bootstrap.sh


## When you have the dedicated server files...

...and you cloned this repo into its own directory inside of it, e.g. `configs/`,
simply run `./copy-cfgs.sh` and it will copy the `server.cfg` files.

You can also run `./install-services.sh` to install the systemd service files.
**Do edit them first**, they assume the dedicated server sits in `~/halflife` under the user `debian`. They're all basically a variation of the `freehl-valve.service`, there may be a way to streamline gamedir variations of one service but I am by no means a systemd nerd.

From then on you can enable them all like this:

`./enable-services.sh`

...to restart/launch them:

`./restart-services.sh`

etc. - you will figure it out

-- eukara